Package com.xebialabs.xlrelease.domain

## Class Configuration

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.Configuration

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `ExportHook`, `ExternalVariableServer`, `JobRunner`, `PropertyConfiguration`

      @Metadata(root=CONFIGURATION,
                versioned=false,
                virtual=true)
      public class Configuration
      extends BaseConfiguration

  Base class for configuration. Users subclass this in `synthetic.xml` to configure properties.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Configuration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getTitle()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getVariableMapping()` |
    `boolean` | `hasVariableMapping()` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setVariableMapping​(java.util.Map<java.lang.String,​java.lang.String> variableMapping)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, hasId, setFolderId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration

          public Configuration()

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

      Overrides:
        `getTitle` in class `BaseConfiguration`

    - #### setTitle

          public void setTitle​(java.lang.String title)

      Overrides:
        `setTitle` in class `BaseConfiguration`

    - #### setVariableMapping

          public void setVariableMapping​(java.util.Map<java.lang.String,​java.lang.String> variableMapping)

    - #### getVariableMapping

          public java.util.Map<java.lang.String,​java.lang.String> getVariableMapping()

    - #### hasVariableMapping

          public boolean hasVariableMapping()